<?php
/*
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------+
| Original:
| PHP-Fusion: v6.00
| infusion author: CyPh3R
| infusion email: emc-forum@gmx.net
| date: 18.06.2005
| Anpassung an V7:
| Dirk Heise (emblinux)
| http://www.heiseclan.de
| webmaster@heiseclan.de
+----------------------------------------------------+*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

include INFUSIONS."partner_pages2_panel/infusion_db.php";

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."partner_pages2_panel/locale/".LOCALESET."index.php"))
  {
    // Load the locale file matching the current site locale setting.
    include INFUSIONS."partner_pages2_panel/locale/".LOCALESET."index.php";
  }
else
  {
    // Load the infusion's default locale file.
    include INFUSIONS."partner_pages2_panel/locale/German/index.php";
  }

// Infusion general information
$inf_title = $locale['psp100'];
$inf_description = $locale['psp101'];
$inf_version = $locale['psp_version'];
$inf_developer = $locale['psp_dev'];
$inf_email = "webmaster@heiseclan.de";
$inf_weburl = $locale['psp_weburl'];

$inf_folder = "partner_pages2_panel"; // The folder in which the infusion resides.

// Delete any items not required here.
$inf_newtable[1] = DB_PSP2." (
  psp_id smallint(2) UNSIGNED NOT NULL AUTO_INCREMENT,
  psp_name varchar(50) default NULL,
  psp_url varchar(255) default NULL,
  psp_image varchar(50) default NULL,
  psp_image_url varchar(255) default NULL,
  psp_active varchar(1) default NULL,
  PRIMARY KEY  (psp_id)
) TYPE=MyISAM;";

$inf_newtable[2] = DB_PSP2_SETTINGS."(
  image_width smallint(2) NOT NULL default '90',
  image_height smallint(2) NOT NULL default '30',
  box_height smallint(2) NOT NULL default '150',
  scrollamount smallint(2) NOT NULL default '2',
  direction varchar(10) NOT NULL default 'up',
  behavior varchar(10) NOT NULL default 'scroll'
) TYPE=MyISAM;";

$inf_droptable[1] = DB_PSP2;
$inf_droptable[2] = DB_PSP2_SETTINGS;

$inf_adminpanel[1] = array(
    "title" => $locale['psp100'],
    "image" => "",
    "panel" => "partner_pages_panel_admin.php",
    "rights" => "PSP2"
);
				
?>